//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SSTATIC.H 

#if !defined(__SFX_SSTATIC_H)
#define __SFX_SSTATIC_H

#if !defined(__OWL_STATIC_H)
  #include <owl\static.h>
#endif

//	class TSFXStatic

class _OWLCLASS TSFXStatic : public TStatic
{
  public:
	TSFXStatic(TWindow*        parent,
			   int             id,
			   const char far* title,
			   int x, int y, int w, int h,
			   UINT            textLen,
			   TModule*        module = 0);

	TSFXStatic(TWindow* parent,
			   int      resourceId,
			   UINT     textLen,
			   TModule* module = 0);
  protected:
	char far*  GetClassName();

  DECLARE_STREAMABLE_FROM_BASE(_OWLCLASS, TSFXStatic, TStatic);
};

#endif //	__SFX_SSTATIC_H
